Subject: bug#15991: 24.3.50; Wishlist: Make test suite user-friendlier

From: Glenn Morris <[email-masked]>
Date: Thu, 26 Jun 2014 02:05:53 -0400

Eli Zaretskii wrote:

> When you see any failures, the first thing you want to do is run only
> one test that failed at a time.
[...]
> Another possible improvement would be for each test to automatically
> save the log of its run, including any error messages, to a file.

Now you can run `make foo.log' to run the foo.el tests.

> Also, suppose one needs to run Emacs under a debugger for running a
> test -- there doesn't seem to be a convenient way of doing that,
> either.  Once again, start Emacs manually in GDB, then copy/paste the
> command line there, and be sure to set the environment variables, like
> EMACS_TEST_DIRECTORY before starting GDB.  Wait, and what if the test
> forks, and you need to attach GDB to the correct Emacs process?

Haven't done anything about this.